<ion-content>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-item>
            <ion-label>{{ 'Home' | translate }} >> {{ 'Delivery Logs' | translate }}
            </ion-label>
        </ion-item>
    </ion-toolbar>
    <ion-refresher slot="fixed" (ionRefresh)="onRefresh($event)">
        <ion-refresher-content pullingIcon="arrow-down" refreshingSpinner="circles">
        </ion-refresher-content>
    </ion-refresher>

    <div *ngIf="!this.cache?.isLoading">
        <ion-list *ngFor="let deliveryLog of this.cache?.objects">
            <ion-card [routerLink]="['/resident/home/resident-delivery-logs/delivery-log',deliveryLog.id]">

                <ion-card-header>
                    <ion-item>
                        <ion-avatar slot="start">
                            <img [src]="deliveryLog.visitor.profilePicture.content" />
                        </ion-avatar>
                        <ion-label>{{deliveryLog?.visitor?.name}}</ion-label>
                        <ion-icon end *ngIf="deliveryLog.unRead" name="mail-unread"></ion-icon>
                    </ion-item>
                </ion-card-header>
                <ion-card-content>
                    <ion-grid>
                        <ion-row>
                            <ion-label>
                                <ion-icon name="person"></ion-icon>
                                {{deliveryLog?.contactPerson?.name}}
                            </ion-label>
                        </ion-row>
                        <ion-row>
                            <ion-label>
                                <ion-icon name="home"></ion-icon>
                                {{deliveryLog?.visitingTo?.name}}
                            </ion-label>
                        </ion-row>
                        <ion-row>
                            <ion-label>
                                <ion-icon name="time"></ion-icon>
                                {{getLocalTime(deliveryLog.deliveryInTime) | date:'medium'}}
                            </ion-label>
                        </ion-row>
                        <ion-row>
                            <ion-label>
                                <ion-icon name="exit"></ion-icon>
                                {{getLocalTime(deliveryLog.deliveredTime) | date:'medium'}}
                            </ion-label>
                        </ion-row>
                        <ion-row>
                            <ion-chip color="success" *ngIf="deliveryLog.approvalStatus === 'Recieved'">
                                <ion-icon name="checkmark"></ion-icon>
                                <ion-label>{{ 'Received' | translate }}</ion-label>
                            </ion-chip>
                            <ion-chip color="danger" *ngIf="deliveryLog.approvalStatus === 'Delivered'">
                                <ion-icon name="close"></ion-icon>
                                <ion-label>{{ 'Delivered' | translate }}</ion-label>
                            </ion-chip>
                            <ion-chip color="primary" *ngIf="deliveryLog.approvalStatus === 'Pending'">
                                <ion-icon name="stopwatch"></ion-icon>
                                <ion-label>{{ 'Pending' | translate }}</ion-label>
                            </ion-chip>
                        </ion-row>
                    </ion-grid>
                </ion-card-content>
            </ion-card>
        </ion-list>
        <ion-card *ngIf="!this.cache?.isLoading && this.cache?.objects.length==0">
            <ion-item>
                <ion-label>{{ 'No records found!!!' | translate }}</ion-label>
            </ion-item>
        </ion-card>
        <ion-infinite-scroll threshold="100px" (ionInfinite)="loadNext($event)">
            <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading ...">
            </ion-infinite-scroll-content>
        </ion-infinite-scroll>
    </div>

    <ion-card *ngIf="this.cache?.isLoading && this.cache?.objects.length==0">
        <ion-card-header>
            <ion-card-title>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-title>
            <ion-card-subtitle>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <ion-item>
                <ion-label>
                    <ion-skeleton-text animated></ion-skeleton-text>
                </ion-label>
            </ion-item>
            <div>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
            </div>
        </ion-card-content>
    </ion-card>
</ion-content>